local __exports = LibStub:NewLibrary("ovale/scripts/ovale_druid_spells", 90112)
if not __exports then return end
__exports.registerDruidSpells = function(scripts)
    local name = "ovale_druid_spells"
    local desc = "[9.1] Ovale: Druid baseline spells"
    local code = [[Define(adaptive_swarm_damage 325733)
# Command a swarm that heals 325748o1 or deals 325733o1 Shadow damage over 12 seconds to a target, and increases the effectiveness of your periodic effects on them by 325748s2.rnrnUpon expiration, jumps to a target within s2 yards, alternating between friend and foe up to s1 times.
  SpellInfo(adaptive_swarm_damage duration=12 max_stacks=5 gcd=0 offgcd=1 tick=2)
  # Suffering w1 Shadow damage every t1 sec and damage over time from @auracaster increased by w2.
  SpellAddTargetDebuff(adaptive_swarm_damage adaptive_swarm_damage add=1)
Define(adaptive_swarm_heal 325748)
# Command a swarm that heals 325748o1 or deals 325733o1 Shadow damage over 12 seconds to a target, and increases the effectiveness of your periodic effects on them by 325748s2.rnrnUpon expiration, jumps to a target within s2 yards, alternating between friend and foe up to s1 times.
  SpellInfo(adaptive_swarm_heal duration=12 max_stacks=5 gcd=0 offgcd=1 tick=2)
  # Restoring w1 health every t1 sec and healing over time from @auracaster increased by w2.
  SpellAddTargetDebuff(adaptive_swarm_heal adaptive_swarm_heal add=1)
Define(apex_predators_craving_buff 339140)
# Rip damage has a s1 chance to make your next Ferocious Bite free and deal the maximum damage.
  SpellInfo(apex_predators_craving_buff duration=15 gcd=0 offgcd=1)
Define(balance_of_all_things_arcane_buff 339946)
# Entering Eclipse increases your critical strike chance with Arcane or Nature spells by 339943s1*339943u, decreasing by 339943s1 every 339943t2 sec.
  SpellInfo(balance_of_all_things_arcane_buff duration=8 max_stacks=8 gcd=0 offgcd=1 tick=1)
  # Critical strike chance with Arcane spells increased w1.
  SpellAddBuff(balance_of_all_things_arcane_buff balance_of_all_things_arcane_buff add=1)
Define(balance_of_all_things_nature_buff 339943)
# Entering Eclipse increases your critical strike chance with Arcane or Nature spells by 339943s1*339943u, decreasing by 339943s1 every 339943t2 sec.
  SpellInfo(balance_of_all_things_nature_buff duration=8 max_stacks=8 gcd=0 offgcd=1 tick=1)
  # Critical strike chance with Nature spells increased w1.
  SpellAddBuff(balance_of_all_things_nature_buff balance_of_all_things_nature_buff add=1)
Define(barkskin 22812)
# Your skin becomes as tough as bark, reducing all damage you take by s1 and preventing damage from delaying your spellcasts. Lasts 8 seconds.rnrnUsable while stunned, frozen, incapacitated, feared, or asleep, and in all shapeshift forms.
  SpellInfo(barkskin cd=60 duration=8 gcd=0 offgcd=1 tick=1)
  # All damage taken reduced by w1.
  SpellAddBuff(barkskin barkskin add=1)
Define(bear_form 5487)
# Shapeshift into Bear Form, increasing armor by m4 and Stamina by 1178s2, granting protection from Polymorph effects, and increasing threat generation.rnrnThe act of shapeshifting frees you from movement impairing effects.
  SpellInfo(bear_form)
  # Armor increased by w4.rnStamina increased by 1178s2.rnImmune to Polymorph effects.
  SpellAddBuff(bear_form bear_form add=1)
  # Armor increased by w4.rnStamina increased by 1178s2.rnImmune to Polymorph effects.
  SpellAddTargetDebuff(bear_form bear_form add=1)
Define(berserk_bear 50334)
# Go berserk for 15 seconds, reducing the cooldowns of Mangle, Thrash, Growl, and Frenzied Regeneration by s1 and the cost of Ironfur by s3.?a339062[rnrnGrants immunity to effects that cause loss of control of your character.][]
  SpellInfo(berserk_bear cd=180 duration=15 gcd=0 offgcd=1)
  SpellRequire(berserk_bear replaced_by set=incarnation_guardian_of_ursoc enabled=(hastalent(incarnation_guardian_of_ursoc_talent)))
  # Cooldowns of Mangle, Thrash, Growl, and Frenzied Regeneration are reduced by w1. Ironfur cost reduced by w3.?w5>0[rnrnImmune to effects that cause loss of control of your character.][]
  SpellAddBuff(berserk_bear berserk_bear add=1)
Define(berserk_cat 106951)
# Go berserk for 20 seconds, causing Rake and Shred to deal damage as though you were stealthed, and giving finishing moves a s1 chance per combo point spent to refund 343216s1 combo lpoint:points;.
  SpellInfo(berserk_cat cd=180 duration=20 gcd=0 offgcd=1)
  SpellRequire(berserk_cat replaced_by set=incarnation_king_of_the_jungle enabled=(hastalent(incarnation_king_of_the_jungle_talent)))
  # Rake and Shred deal damage as though you were stealthed. rnrnFinishing moves have a w1 chance per combo point spent to refund 343216s1 combo lpoint:points;.
  SpellAddBuff(berserk_cat berserk_cat add=1)
Define(berserking 26297)
# Increases your haste by s1 for 12 seconds.
  SpellInfo(berserking cd=180 duration=12 gcd=0 offgcd=1)
  # Haste increased by s1.
  SpellAddBuff(berserking berserking add=1)
Define(bloodlust 2825)
# Increases haste by (25 of Spell Power) for all party and raid members for 40 seconds.rnrnAllies receiving this effect will become Sated and unable to benefit from Bloodlust or Time Warp again for 600 seconds.
  SpellInfo(bloodlust cd=300 duration=40 gcd=0 offgcd=1)
  # Haste increased by w1.
  SpellAddBuff(bloodlust bloodlust add=1)
Define(bloodtalons_buff 145152)
# @spelldesc155672
  SpellInfo(bloodtalons_buff duration=30 gcd=0 offgcd=1)
  # Your next Rip or Ferocious Bite deals s1 increased damage.
  SpellAddBuff(bloodtalons_buff bloodtalons_buff add=1)
Define(brutal_slash 202028)
# Strikes up to s3 nearby enemies with a massive slash, inflicting s2 Physical damage.rnrn|cFFFFFFFFAwards s1 combo lpoint:points;.|r
  SpellInfo(brutal_slash energy=25 cd=8 gcd=1 combopoints=-1)
  SpellRequire(brutal_slash unusable set=1 enabled=(not hastalent(brutal_slash_talent)))
Define(cat_form 768)
# Shapeshift into Cat Form, increasing auto-attack damage by (25 of Spell Power), movement speed by 113636s1, granting protection from Polymorph effects, and reducing falling damage.rnrnThe act of shapeshifting frees you from movement impairing effects.
  SpellInfo(cat_form)
  # Autoattack damage increased by w4.rnImmune to Polymorph effects.rnMovement speed increased by 113636s1 and falling damage reduced.
  SpellAddBuff(cat_form cat_form add=1)
Define(celestial_alignment 194223)
# Celestial bodies align, maintaining both Eclipses and granting s1 haste for 20 seconds.
  SpellInfo(celestial_alignment cd=180 duration=20 gcd=0 offgcd=1)
  SpellRequire(celestial_alignment replaced_by set=incarnation_chosen_of_elune enabled=(hastalent(incarnation_chosen_of_elune_talent)))
  # Both Eclipses active. Haste increased by w1.
  SpellAddBuff(celestial_alignment celestial_alignment add=1)
Define(clearcasting_feral_buff 135700)
# Your auto attacks have a chance to cause a Clearcasting state, making your next Shred, Thrash, or ?s202028[Brutal Slash][Swipe] cost no Energy.
  SpellInfo(clearcasting_feral_buff duration=15 max_stacks=1 gcd=0 offgcd=1)
Define(convoke_the_spirits 323764)
# Call upon the Night Fae for an eruption of energy, channeling a rapid flurry of s2 Druid spells and abilities over 4 seconds.rnrnYou will cast ?a24858|a197625[Starsurge, Starfall,]?a768[Ferocious Bite, Shred, Tiger's Fury,]?a5487[Mangle, Ironfur,][Wild Growth, Swiftmend,] Moonfire, Wrath, Regrowth, Rejuvenation, Rake and Thrash on appropriate nearby targets, favoring your current shapeshift form.
  SpellInfo(convoke_the_spirits cd=120 duration=4 channel=4 max_stacks=99 tick=0.25)
  # Every t1.2 sec, casting ?a24858|a197625[Starsurge, Starfall,]?a768[Ferocious Bite, Shred, Tiger's Fury,]?a5487[Mangle, Ironfur,][Wild Growth, Swiftmend,] Moonfire, Wrath, Regrowth, Rejuvenation, Rake or Thrash on appropriate nearby targets.
  SpellAddBuff(convoke_the_spirits convoke_the_spirits add=1)
Define(dazed_druid_debuff 50259)
# Leap behind an enemy, dazing them for 3 seconds.
  SpellInfo(dazed_druid_debuff duration=3 gcd=0 offgcd=1)
Define(eclipse_lunar_buff 48518)
# Casting s1 lStarfire:Starfires; empowers Wrath for 15 seconds. Casting s1 lWrath:Wraths; empowers Starfire for 15 seconds. These Eclipses occur in alternation.rnrn@spellicon48517 @spellname48517rnWrath cast time reduced 48517s1 and damage increased 48517s2.rnrn@spellicon48518 @spellname48518rnStarfire cast time reduced 48518s1 and critical strike chance increased 48518s2.
  SpellInfo(eclipse_lunar_buff duration=15 gcd=0 offgcd=1)
  # Starfire cast time reduced w1?<w5>0>[, area effect damage increased w5,][] and critical strike chance increased w2.
  SpellAddBuff(eclipse_lunar_buff eclipse_lunar_buff add=1)
Define(eclipse_solar_buff 48517)
# Casting s1 lStarfire:Starfires; empowers Wrath for 15 seconds. Casting s1 lWrath:Wraths; empowers Starfire for 15 seconds. These Eclipses occur in alternation.rnrn@spellicon48517 @spellname48517rnWrath cast time reduced 48517s1 and damage increased 48517s2.rnrn@spellicon48518 @spellname48518rnStarfire cast time reduced 48518s1 and critical strike chance increased 48518s2.
  SpellInfo(eclipse_solar_buff duration=15 gcd=0 offgcd=1)
  # Wrath cast time reduced w1?<w5>0>[, Astral Power generation increased w5,][] and damage increased w2.
  SpellAddBuff(eclipse_solar_buff eclipse_solar_buff add=1)
Define(empower_bond 326446)
# Empower the bond for 10 seconds:rnrn?c3[|cFFFFFFFFTank|rrnProtect your bonded partner, redirecting s1 of damage they take to you, unless you fall below s3 health.]?c4[|cFFFFFFFFHealer|rrnFocus on your bonded partner, replicating 327148s1 of all healing you deal onto them.][|cFFFFFFFFDamager|rrnEnergize your bonded partner, granting them 327139s1 of your damage as additional Arcane damage, healing, or absorption.]rnrn|cFFFFFFFFDamager Partner|rrnThey energize you, granting you 327139s1 of their damage as additional Arcane damage, healing, or absorption.
  SpellInfo(empower_bond cd=60 gcd=0 offgcd=1)
Define(empyreal_ordnance 345539)
# Fire s1 Empyreal Ordnance at up to s2 targets. Targets suffer 345542s1*6*(1+@versadmg) Arcane damage over 12 seconds for each ordnance that hits them. As the ordnance expires on the target they return, each granting 345543s1 Intellect for 15 seconds. 
  SpellInfo(empyreal_ordnance cd=180 gcd=0 offgcd=1)
Define(feral_frenzy 274837)
# Unleash a furious frenzy, clawing your target m2 times for 274838s1*m2 Physical damage and an additional m2*274838s3*6 seconds/274838t3 Bleed damage over 6 seconds.rnrn|cFFFFFFFFAwards s1 combo points.|r
  SpellInfo(feral_frenzy energy=25 cd=45 duration=1 gcd=1 tick=0.2)
  SpellRequire(feral_frenzy unusable set=1 enabled=(not hastalent(feral_frenzy_talent)))
Define(ferocious_bite 22568)
# Finishing move that causes Physical damage per combo point and consumes up to ?a102543[s2*(1+(25 of Spell Power)/100)][s2] additional Energy to increase damage by up to 100.rnrn?s202031[Ferocious Bite will also refresh the duration of your Rip on your target.rnrn][]   1 point  : m1*1/5 damagern   2 points: m1*2/5 damagern   3 points: m1*3/5 damagern   4 points: m1*4/5 damagern   5 points: m1*5/5 damage
  SpellInfo(ferocious_bite energy=25 combopoints=1 max_combopoints=4 gcd=1)
Define(first_strike_buff 325381)
# Damaging an enemy before they damage you increases your chance to critical strike by 325381s1 for 5 seconds.
  SpellInfo(first_strike_buff duration=5 gcd=0 offgcd=1)
  # Critical Strike increased by w.
  SpellAddBuff(first_strike_buff first_strike_buff add=1)
Define(fleshcraft 324631)
# Form a shield of flesh and bone over 3 seconds that absorbs damage equal to s1 of your maximum health for 120 seconds.rnrnWhile channeling, your damage taken is reduced by s2.rnrn|cFFFFFFFFPassive:|r Moving near an enemy's corpse consumes their essence to reduce Fleshcraft's cooldown by <cdr> sec.
  SpellInfo(fleshcraft cd=120 duration=3 channel=3 tick=0.5)
  # Damage taken reduced by w2.
  SpellAddBuff(fleshcraft fleshcraft add=1)
  # Immune to crowd control effects.rnHealing s17 health every t17 sec.
  SpellAddBuff(fleshcraft ultimate_form_buff add=1)
Define(force_of_nature 205636)
# Summons a stand of s1 Treants for 10 seconds which immediately taunt and attack enemies in the targeted area.rnrn|cFFFFFFFFGenerates m5/10 Astral Power.|r
  SpellInfo(force_of_nature cd=60 lunarpower=-20)
  SpellRequire(force_of_nature unusable set=1 enabled=(not hastalent(force_of_nature_talent)))
  # Granting s5/10*d Astral Power over d.
  SpellAddBuff(force_of_nature force_of_nature add=1)
Define(full_moon 202771)
# Deals m1 Arcane damage to the target and reduced damage to all other nearby enemies, and resets Full Moon to become New Moon.rnrn|cFFFFFFFFGenerates m2/10 Astral Power.|r
  SpellInfo(full_moon cd=15 lunarpower=-40)
Define(fury_of_elune 202770)
# Calls down a beam of pure celestial energy that follows the enemy, dealing up to <dmg> Astral damage over 8 seconds within its area. Damage reduced on secondary targets.rnrn|cFFFFFFFFGenerates m3/10/t3*8 seconds Astral Power over its duration.|r
  SpellInfo(fury_of_elune cd=60 duration=8 tick=0.5)
  SpellRequire(fury_of_elune unusable set=1 enabled=(not hastalent(fury_of_elune_talent)))
  # Generating m3/10/t3*d Astral Power over d.
  SpellAddBuff(fury_of_elune fury_of_elune add=1)
Define(galactic_guardian_buff 213708)
# Your damage has a h chance to trigger a free automatic Moonfire on that target. rnrnWhen this occurs, the next Moonfire you cast generates 213708m1/10 Rage, and deals 213708s3 increased direct damage.
  SpellInfo(galactic_guardian_buff duration=15 gcd=0 offgcd=1)
  # Your next Moonfire generates m1/10 Rage, and deals s3 increased direct damage.
  SpellAddBuff(galactic_guardian_buff galactic_guardian_buff add=1)
Define(half_moon 202768)
# Deals m1 Arcane damage to the target and empowers Half Moon to become Full Moon.rnrn|cFFFFFFFFGenerates m3/10 Astral Power.|r
  SpellInfo(half_moon cd=15 lunarpower=-20)
Define(heart_of_the_wild 319454)
# Abilities associated with your chosen Affinity are substantially empowered for 45 seconds.?s197492[rnrn|cFFFFFFFFRestoration:|r Healing of your Restoration spells increased by 108294s1, and mana costs reduced by 108294s3.]?s197490|s202155|s202157[rnrn|cFFFFFFFFFeral:|r Damage of your Feral abilities increased by 108292s1, and critical strikes with attacks that generate a combo point generate an additional combo point.]?s197632|s197488[rnrn|cFFFFFFFFBalance:|r Damage of your Balance abilities increased by 108291s1, and Starsurge is instant.]?s217615|s197491[rnrn|cFFFFFFFFGuardian:|r Bear Form gives an additional 108293s1 Stamina, multiple uses of Ironfur may overlap, and Frenzied Regeneration has 108293s3+1 charges.][]rn
  SpellInfo(heart_of_the_wild cd=300 duration=45)
  SpellRequire(heart_of_the_wild unusable set=1 enabled=(not hastalent(heart_of_the_wild_talent)))
  # Abilities associated with your chosen Affinity are substantially empowered.
  SpellAddBuff(heart_of_the_wild heart_of_the_wild add=1)
Define(immobilized_debuff 45334)
# Charge to an enemy, immobilizing them for 4 seconds.
  SpellInfo(immobilized_debuff duration=4 gcd=0 offgcd=1)
Define(incapacitating_roar 99)
# Shift into Bear Form and invoke the spirit of Ursol to let loose a deafening roar, incapacitating all enemies within A1 yards for 3 seconds. Damage will cancel the effect.
  SpellInfo(incapacitating_roar cd=30 duration=3)
  # Incapacitated.
  SpellAddTargetDebuff(incapacitating_roar incapacitating_roar add=1)
Define(incarnation_buff 117679)
# Activates a superior shapeshifting form appropriate to your specialization for 30 seconds.  You may freely shapeshift in and out of this form for its duration.
  SpellInfo(incarnation_buff duration=30 gcd=0 offgcd=1)
  # Incarnation: Tree of Life activated.
  SpellAddBuff(incarnation_buff incarnation_buff add=1)
Define(incarnation_chosen_of_elune 102560)
# An improved Moonkin Form that grants the benefits of Celestial Alignment, and s2 critical strike chance.rnrnLasts 30 seconds. You may shapeshift in and out of this improved Moonkin Form for its duration.
  SpellInfo(incarnation_chosen_of_elune cd=180 duration=30 gcd=0 offgcd=1)
  SpellRequire(incarnation_chosen_of_elune unusable set=1 enabled=(not hastalent(incarnation_chosen_of_elune_talent)))
  # Both Eclipses active. Haste increased by w1 and critical strike chance by w2.
  SpellAddBuff(incarnation_chosen_of_elune incarnation_chosen_of_elune add=1)
Define(incarnation_guardian_of_ursoc 102558)
# An improved Bear Form that grants the benefits of Berserk, causes Mangle to hit up to (25 of Spell Power) targets, and increases maximum health by s5.?a339062[rnrnGrants immunity to effects that cause loss of control of your character.][]rnrnLasts 30 seconds. You may freely shapeshift in and out of this improved Bear Form for its duration.
  SpellInfo(incarnation_guardian_of_ursoc cd=180 duration=30 gcd=0 offgcd=1)
  SpellRequire(incarnation_guardian_of_ursoc unusable set=1 enabled=(not hastalent(incarnation_guardian_of_ursoc_talent)))
  # Cooldowns of Mangle, Thrash, Growl, and Frenzied Regeneration are reduced by w1.rnIronfur cost reduced by w3.rnMangle hits up to w6 targets.rnHealth increased by w5.?w7>0[rnrnImmune to effects that cause loss of control of your character.][]
  SpellAddBuff(incarnation_guardian_of_ursoc incarnation_guardian_of_ursoc add=1)
Define(incarnation_king_of_the_jungle 102543)
# An improved Cat Form that grants the benefits of Berserk, reduces the Energy cost of all Cat Form abilities by (25 of Spell Power), and allows the use of Prowl once while in combat.rnrnLasts 30 seconds. You may shapeshift in and out of this improved Cat Form for its duration.
  SpellInfo(incarnation_king_of_the_jungle cd=180 duration=30 gcd=0 offgcd=1)
  SpellRequire(incarnation_king_of_the_jungle unusable set=1 enabled=(not hastalent(incarnation_king_of_the_jungle_talent)))
  # Rake and Shred deal damage as though you were stealthed.rnrnFinishing moves have a w1 chance per combo point spent to refund 343216s1 combo lpoint:points;.rnrnEnergy costs reduced by w2.
  SpellAddBuff(incarnation_king_of_the_jungle incarnation_king_of_the_jungle add=1)
  # Allows the use of Prowl even while in combat.
  SpellAddBuff(incarnation_king_of_the_jungle jungle_stalker_buff add=1)
Define(inscrutable_quantum_device 330323)
# ???
  SpellInfo(inscrutable_quantum_device cd=180 gcd=0 offgcd=1)
Define(ironfur 192081)
# Increases armor by s1*AGI/100 for 7 seconds.?a231070[ Multiple uses of this ability may overlap.][]
  SpellInfo(ironfur rage=40 cd=0.5 duration=7 max_stacks=1 gcd=0 offgcd=1)
  # Armor increased by w1*AGI/100.
  SpellAddBuff(ironfur ironfur add=1)
Define(jungle_stalker_buff 252071)
# An improved Cat Form that grants the benefits of Berserk, reduces the Energy cost of all Cat Form abilities by (25 of Spell Power), and allows the use of Prowl once while in combat.rnrnLasts 30 seconds. You may shapeshift in and out of this improved Cat Form for its duration.
  SpellInfo(jungle_stalker_buff duration=30 gcd=0 offgcd=1)
Define(kindred_empowerment_buff 327022)
# Energize your bonded partner, granting them 327139s1 of your damage as additional Arcane damage, healing, or absorption.
  SpellInfo(kindred_empowerment_buff duration=10 gcd=0 offgcd=1)
  # Energized by @auracaster, increasing damage, healing, and mitigation by s2 until Kindred Empowerment runs out.rnrnEmpowerment remaining: w1-1
  SpellAddBuff(kindred_empowerment_buff kindred_empowerment_buff add=1)
Define(kindred_empowerment_energize 327139)
# Energize your bonded partner, granting them 327139s1 of your damage as additional Arcane damage, healing, or absorption.
  SpellInfo(kindred_empowerment_energize duration=10 gcd=0 offgcd=1 tick=0.5)
  # Energizing @auracaster, granting them s1 of all damage you deal as Kindred Empowerment.
  SpellAddBuff(kindred_empowerment_energize kindred_empowerment_energize add=1)
Define(kindred_spirits 326434)
# Form a bond with an ally. Every 60 seconds, you may empower the bond for 10 seconds, granting you an effect based on your partner's role, and granting them an effect based on your role.rnrn?c3[|cFFFFFFFFTank|rrn@spellicon327037 @spellname327037rnProtect your bonded partner, redirecting s1 of damage they take to you, unless you fall below s3 health.]?c4[|cFFFFFFFFHealer|rrn@spellicon327071 @spellname327071rnFocus on your bonded partner, replicating 327148s1 of all healing you deal onto them.][|cFFFFFFFFDamager|rrn@spellicon327022 @spellname327022rnEnergize your bonded partner, granting them 327139s1 of your damage as additional Arcane damage, healing, or absorption.]
  SpellInfo(kindred_spirits duration=3600)
  # Bonded with @auracaster. Every 327097d, they may empower the bond, granting bonuses based on your respective roles.
  SpellAddBuff(kindred_spirits kindred_spirits add=1)
Define(lycaras_fleeting_glimpse_buff 340060)
# Every s1 sec while in combat, cast a spell based on your form:rnrnNo Form: @spellname48438rnCat Form: @spellname285381rnBear Form: @spellname22812rnMoonkin Form: @spellname191034rnTravel Form: @spellname77764
  SpellInfo(lycaras_fleeting_glimpse_buff duration=5 gcd=0 offgcd=1 tick=1)
  # You feel Lycara's inspiration arriving.
  SpellAddBuff(lycaras_fleeting_glimpse_buff lycaras_fleeting_glimpse_buff add=1)
Define(maim 22570)
# Finishing move that causes Physical damage and stuns the target. Damage and duration increased per combo point:rnrn   1 point  : s2*1 damage, 1 secrn   2 points: s2*2 damage, 2 secrn   3 points: s2*3 damage, 3 secrn   4 points: s2*4 damage, 4 secrn   5 points: s2*5 damage, 5 sec
  SpellInfo(maim energy=30 combopoints=1 max_combopoints=4 cd=20 gcd=1)
  # Stunned.
  SpellAddBuff(maim maim add=1)
Define(mangle 33917)
# Mangle the target for s2 Physical damage.?a231064[ Deals s3 additional damage against bleeding targets.][]rnrn|cFFFFFFFFGenerates m4/10 Rage.|r
  SpellInfo(mangle cd=6 rage=-10)
Define(maul 6807)
# Maul the target for s2 Physical damage.
  SpellInfo(maul rage=40)
Define(mighty_bash 5211)
# Invokes the spirit of Ursoc to stun the target for 4 seconds. Usable in all shapeshift forms.
  SpellInfo(mighty_bash cd=60 duration=4)
  SpellRequire(mighty_bash unusable set=1 enabled=(not hastalent(mighty_bash_talent)))
  # Stunned.
  SpellAddTargetDebuff(mighty_bash mighty_bash add=1)
Define(moonfire 8921)
# A quick beam of lunar light burns the enemy for (20 of Spell Power) Arcane damage and then an additional 164812o2 Arcane damage over 12 seconds.?s197911[rnrn|cFFFFFFFFGenerates m3/10 Astral Power.|r][]
  SpellInfo(moonfire rage=0 lunarpower=0)
Define(moonfire_cat 155625)
# A quick beam of lunar light burns the enemy for s2 Arcane damage and then an additional o1 Arcane damage over 16 seconds.rnrn|cFFFFFFFFAwards s3 combo lpoint:points;.|r
  SpellInfo(moonfire_cat energy=30 duration=16 gcd=1 combopoints=-1 tick=2)
  # Suffering w1 Arcane damage every t1 sec.
  SpellAddTargetDebuff(moonfire_cat moonfire_cat add=1)
Define(moonfire_debuff 164812)
# A quick beam of lunar light burns the enemy for (20 of Spell Power) Arcane damage and then an additional 164812o2 Arcane damage over 12 seconds.?s197911[rnrn|cFFFFFFFFGenerates m3/10 Astral Power.|r][]
  SpellInfo(moonfire_debuff duration=12 gcd=0 offgcd=1 tick=2)
  # Suffering w2 Arcane damage every t2 seconds.
  SpellAddTargetDebuff(moonfire_debuff moonfire_debuff add=1)
Define(moonkin_form 24858)
# Shapeshift into ?s114301[Astral Form][Moonkin Form], increasing the damage of your spells by s9 and your armor by m3, and granting protection from Polymorph effects.?a231042[rnrnWhile in this form, single-target attacks against you have a h chance to make your next Starfire instant.][]rnrnThe act of shapeshifting frees you from movement impairing effects.
  SpellInfo(moonkin_form)
  # Spell damage increased by s9.rnImmune to Polymorph effects.?w3>0[rnArmor increased by w3.][]
  SpellAddBuff(moonkin_form moonkin_form add=1)
Define(new_moon 274281)
# Deals m1 Astral damage to the target and empowers New Moon to become Half Moon. rnrn|cFFFFFFFFGenerates m3/10 Astral Power.|r
  SpellInfo(new_moon cd=20 gcd=1 lunarpower=-10)
  SpellRequire(new_moon unusable set=1 enabled=(not hastalent(new_moon_talent)))
Define(oath_of_the_elder_druid_buff 338643)
# Effects of Thick Hide, Astral Influence, Feline Swiftness, and Ysera's Gift increased by s1.rnrnWhen you shift into your Affinity's form, you gain Heart of the Wild for s2 sec, once every 60 seconds.
  SpellInfo(oath_of_the_elder_druid_buff duration=60 gcd=0 offgcd=1)
  # You have recently gained Heart of the Wild from Oath of the Elder Druid.
  SpellAddBuff(oath_of_the_elder_druid_buff oath_of_the_elder_druid_buff add=1)
Define(oneths_clear_vision_buff 339797)
# Starsurge has a s1 chance to make Starfall free. Starfall has a s2 chance to make Starsurge free.
  SpellInfo(oneths_clear_vision_buff duration=30 gcd=0 offgcd=1)
  # Your next Starsurge costs no Astral Power.
  SpellAddBuff(oneths_clear_vision_buff oneths_clear_vision_buff add=1)
Define(oneths_perception_buff 339800)
# Starsurge has a s1 chance to make Starfall free. Starfall has a s2 chance to make Starsurge free.
  SpellInfo(oneths_perception_buff duration=30 gcd=0 offgcd=1)
  # Your next Starfall costs no Astral Power.
  SpellAddBuff(oneths_perception_buff oneths_perception_buff add=1)
Define(primal_wrath 285381)
# Finishing move that deals instant damage and applies Rip to all enemies within A1 yards. Lasts longer per combo point.rnrn   1 point  : s1*2 plus Rip for s2*2 secrn   2 points: s1*3 plus Rip for s2*3 secrn   3 points: s1*4 plus Rip for s2*4 secrn   4 points: s1*5 plus Rip for s2*5 secrn   5 points: s1*6 plus Rip for s2*6 sec
  SpellInfo(primal_wrath energy=20 combopoints=1 max_combopoints=4 gcd=1)
  SpellRequire(primal_wrath unusable set=1 enabled=(not hastalent(primal_wrath_talent)))
Define(primordial_arcanic_pulsar_buff 338825)
# Every s1 Astral Power spent grants Celestial Alignment for s2 sec.
  SpellInfo(primordial_arcanic_pulsar_buff max_stacks=10 gcd=0 offgcd=1)
  # w1~ Arcane Power collected by Primordial Arcanic Pulsar.
  SpellAddBuff(primordial_arcanic_pulsar_buff primordial_arcanic_pulsar_buff add=1)
Define(prowl 5215)
# Shift into Cat Form and enter stealth.
  SpellInfo(prowl cd=6 gcd=0 offgcd=1)
  # Stealthed.
  SpellAddBuff(prowl prowl add=1)
  # Stealthed.
  SpellAddTargetDebuff(prowl prowl add=1)
Define(pulverize 80313)
# A devastating blow that consumes s3 stacks of your Thrash on the target to deal s1 Physical damage and reduce the damage they deal to you by s2 for 10 seconds.
  SpellInfo(pulverize cd=45 duration=10)
  SpellRequire(pulverize unusable set=1 enabled=(not hastalent(pulverize_talent)))
  # Dealing w2 reduced damage to @auracaster.
  SpellAddTargetDebuff(pulverize pulverize add=1)
Define(rake 1822)
# Rake the target for s1 Bleed damage and an additional 155722o1 Bleed damage over 15 seconds.?s48484[ Reduces the target's movement speed by 58180s1 for 12 seconds.][]?a231052[ rnrnWhile stealthed, Rake will also stun the target for 4 seconds, and deal s4 increased damage.][]rnrn|cFFFFFFFFAwards s2 combo lpoint:points;.|r
  SpellInfo(rake energy=35 gcd=1 combopoints=-1)
  # Bleeding for w1 damage every t1 seconds.
  SpellAddTargetDebuff(rake rake_debuff add=1)
Define(rake_debuff 155722)
# Rake the target for s1 Bleed damage and an additional 155722o1 Bleed damage over 15 seconds.?s48484[ Reduces the target's movement speed by 58180s1 for 12 seconds.][]?a231052[ rnrnWhile stealthed, Rake will also stun the target for 4 seconds, and deal s4 increased damage.][]rnrn|cFFFFFFFFAwards s2 combo lpoint:points;.|r
  SpellInfo(rake_debuff duration=15 gcd=0 offgcd=1 tick=3)
Define(ravenous_frenzy 323546)
# For 20 seconds, Druid spells you cast increase your damage and healing by s1, and haste by s3, stacking.rnrnIf you spend s9/10 sec idle, the Frenzy overcomes you, consuming s3 of your health per stack, stunning you for 1 second, and ending.
  SpellInfo(ravenous_frenzy cd=180 duration=20 max_stacks=99 gcd=0 offgcd=1 tick=0.1)
  # ?<w6<1>[Damage and healing increased by w1 and haste increased by w3.rnrnIf you spend s9~/10 sec idle, the Frenzy consumes w3 of your health and ends.][Damage and healing increased by w6 and haste increased by w8.]
  SpellAddBuff(ravenous_frenzy ravenous_frenzy add=1)
  # ?<w6<1>[Damage and healing increased by w1 and haste increased by w3.rnrnIf you spend s9~/10 sec idle, the Frenzy consumes w3 of your health and ends.][Damage and healing increased by w6 and haste increased by w8.]
  SpellAddTargetDebuff(ravenous_frenzy ravenous_frenzy add=1)
Define(rip 1079)
# Finishing move that causes Bleed damage over time. Lasts longer per combo point.rnrn   1 point  : o1*2 over 4 seconds*2 secrn   2 points: o1*3 over 4 seconds*3 secrn   3 points: o1*4 over 4 seconds*4 secrn   4 points: o1*5 over 4 seconds*5 secrn   5 points: o1*6 over 4 seconds*6 sec
  SpellInfo(rip energy=20 combopoints=1 max_combopoints=4 duration=4 gcd=1 tick=2)
  # Bleeding for w1 damage every t1 sec.
  SpellAddTargetDebuff(rip rip add=1)
Define(savage_combatant_buff 340613)
# Mangle increases the damage of your next Maul by |cFFFFFFFFs1.1|r, stacking up to 340613u.
  SpellInfo(savage_combatant_buff duration=15 max_stacks=3 gcd=0 offgcd=1)
Define(savage_roar 52610)
# Finishing move that increases damage by 62071s1 and energy regeneration rate by (25 of Spell Power) while in Cat Form. Lasts longer per combo point:rnrn   1 point  : 12 secondsrn   2 points: 18 secondsrn   3 points: 24 secondsrn   4 points: 30 secondsrn   5 points: 36 seconds
  SpellInfo(savage_roar energy=25 combopoints=1 max_combopoints=4 duration=6 gcd=1 tick=2)
  SpellRequire(savage_roar unusable set=1 enabled=(not hastalent(savage_roar_talent)))
  # Damage increased 62071s1 while in Cat Form.rnEnergy regeneration increased by 62071s3.
  SpellAddBuff(savage_roar savage_roar add=1)
Define(shadowmeld 58984)
# Activate to slip into the shadows, reducing the chance for enemies to detect your presence. Lasts until cancelled or upon moving. Any threat is restored versus enemies still in combat upon cancellation of this effect.
  SpellInfo(shadowmeld cd=120 gcd=0 offgcd=1)
  # Shadowmelded.
  SpellAddBuff(shadowmeld shadowmeld add=1)
Define(shred 5221)
# Shred the target, causing s1 Physical damage to the target.?a231063[ Deals s4 increased damage against bleeding targets.][]?a343232[rnrnWhile stealthed, Shred deals m3 increased damage, has double the chance to critically strike, and generates 343232s1 additional combo lpoint:points;.]?a231057[rnrnWhile stealthed, Shred deals m3 increased damage, and has double the chance to critically strike.][]rnrn|cFFFFFFFFAwards s2 combo lpoint:points;.
  SpellInfo(shred energy=40 gcd=1 combopoints=-1)
Define(skull_bash 106839)
# You charge and bash the target's skull, interrupting spellcasting and preventing any spell in that school from being cast for 4 seconds.
  SpellInfo(skull_bash cd=15 gcd=0 offgcd=1)
Define(solar_beam 78675)
# Summons a beam of solar light over an enemy target's location, interrupting the target and silencing all enemies within the beam.  Lasts 8 seconds.
  SpellInfo(solar_beam cd=60 duration=8 gcd=0 offgcd=1)
  # Silenced.
  SpellAddBuff(solar_beam solar_beam add=1)
  # Interrupted.
  SpellAddTargetDebuff(solar_beam solar_beam_unused_0 add=1)
Define(solar_beam_unused_0 97547)
# You summon a beam of solar light over the enemy target's location, interrupting the enemy target and silencing all enemy targets under the beam while it is active. Solar Beam lasts for 8 seconds.
  SpellInfo(solar_beam_unused_0 duration=5 gcd=0 offgcd=1 interrupt=1)
Define(solstice_buff 343648)
# During the first 6 seconds of every Eclipse, Shooting Stars fall 343648s1 more often.
  SpellInfo(solstice_buff duration=6 gcd=0 offgcd=1)
Define(starfall 191034)
# Calls down waves of falling stars upon enemies within 50286A1 yds, dealing <damage> Astral damage over 8 seconds.?s327541[rnrnExtends the duration of active Moonfires and Sunfires by 327541s1 sec.][]
  SpellInfo(starfall lunarpower=50 duration=8 tick=8)
  # Calling down falling stars on nearby enemies.
  SpellAddBuff(starfall starfall add=1)
Define(starfire 194153)
# Call down a burst of energy, causing (76.5 of Spell Power) Arcane damage to the target, and m1*m3/100 Arcane damage to all other enemies within A1 yards.rnrn|cFFFFFFFFGenerates m2/10 Astral Power.|r
  SpellInfo(starfire lunarpower=-8)
Define(starlord_buff 279709)
# Starsurge and Starfall grant you 279709s1 Haste for 15 seconds.rnrnStacks up to 279709u times. Gaining a stack does not refresh the duration.
  SpellInfo(starlord_buff duration=15 max_stacks=3 gcd=0 offgcd=1)
  # Haste increased by s1.
  SpellAddBuff(starlord_buff starlord_buff add=1)
Define(starsurge 78674)
# Launch a surge of stellar energies at the target, dealing (206.99999999999997 of Spell Power) Astral damage, and empowering the damage bonus of any active Eclipse for its duration.
  SpellInfo(starsurge lunarpower=30)
Define(stellar_flare 202347)
# Burns the target for (12.5 of Spell Power) Astral damage, and then an additional o2 damage over 24 seconds.rnrn|cFFFFFFFFGenerates m3/10 Astral Power.|r
  SpellInfo(stellar_flare duration=24 lunarpower=-8 tick=2)
  SpellRequire(stellar_flare unusable set=1 enabled=(not hastalent(stellar_flare_talent)))
  # Suffering w2 Astral damage every t2 sec.
  SpellAddTargetDebuff(stellar_flare stellar_flare add=1)
Define(sudden_ambush_buff 340698)
# Finishing moves have a |cFFFFFFFFs1.1|r chance per combo point spent to make your next Rake or Shred deal damage as though you were stealthed. 
  SpellInfo(sudden_ambush_buff duration=15 max_stacks=1 gcd=0 offgcd=1)
Define(sunfire 93402)
# A quick beam of solar light burns the enemy for (20 of Spell Power) Nature damage and then an additional 164815o2 Nature damage over 12 seconds?s231050[ to the primary target and all enemies within 164815A2 yards][].?s137013[rnrn|cFFFFFFFFGenerates m3/10 Astral Power.|r][]
  SpellInfo(sunfire lunarpower=0)
  # Suffering w2 Nature damage every t2 sec.
  SpellAddBuff(sunfire sunfire add=1)
  # Suffering w2 Nature damage every t2 seconds.
  SpellAddTargetDebuff(sunfire sunfire_debuff add=1)
Define(sunfire_debuff 164815)
# A quick beam of solar light burns the enemy for (20 of Spell Power) Nature damage and then an additional 164815o2 Nature damage over 12 seconds?s231050[ to the primary target and all enemies within 164815A2 yards][].?s137013[rnrn|cFFFFFFFFGenerates m3/10 Astral Power.|r][]
  SpellInfo(sunfire_debuff duration=12 gcd=0 offgcd=1 tick=2)
  # Suffering w2 Nature damage every t2 seconds.
  SpellAddTargetDebuff(sunfire_debuff sunfire_debuff add=1)
Define(swipe 213764)
# Swipe nearby enemies, inflicting Physical damage. Damage varies by shapeshift form.
  SpellInfo(swipe gcd=1)
  SpellRequire(swipe replaced_by set=brutal_slash enabled=(hastalent(brutal_slash_talent)))
Define(swipe_cat 106785)
# Swipe up to s4 nearby enemies, inflicting s3 Physical damage.?a231283[ Deals s2 increased damage against bleeding targets.][]rnrn|cFFFFFFFFAwards s1 combo lpoint:points;.|r
  SpellInfo(swipe_cat energy=35 gcd=1 combopoints=-1)
Define(thrash_cat 106830)
# Strikes all nearby enemies, dealing m1 Bleed damage and an additional o2 Bleed damage over 15 seconds.rnrn|cFFFFFFFFAwards 211141s1 combo lpoint:points;.|r
  SpellInfo(thrash_cat energy=40 duration=15 gcd=1 tick=3)
  # Bleeding for w2 damage every t2 sec.
  SpellAddTargetDebuff(thrash_cat thrash_cat add=1)
Define(thrill_seeker_buff 331939)
# While in combat, you gain a stack of Thrill Seeker every t1 sec, or s1 stacks on killing an enemy. At 331939u stacks Thrill Seeker is consumed to grant you Euphoria, increasing your Haste by 331937s1 for 10 seconds. Thrill Seeker decays rapidly while you are not in combat.
  SpellInfo(thrill_seeker_buff max_stacks=40 gcd=0 offgcd=1 tick=2)
  # At u stacks, you will gain Euphoria.
  SpellAddBuff(thrill_seeker_buff thrill_seeker_buff add=1)
Define(tigers_fury 5217)
# Instantly restores s2 Energy, and increases the damage of all your attacks by s1 for their full duration. Lasts 10 seconds.
  SpellInfo(tigers_fury cd=30 duration=10 gcd=0 offgcd=1 energy=-20)
  # Attacks deal s1 additional damage for their full duration.
  SpellAddBuff(tigers_fury tigers_fury add=1)
Define(timeworn_dreambinder_buff 340049)
# Starsurge and Starfall reduce the cost of Starsurge and Starfall by 340049s1 and increase their damage by 340049s2 for 5 seconds, stacking up to 340049u times.
  SpellInfo(timeworn_dreambinder_buff duration=5 max_stacks=2 gcd=0 offgcd=1)
Define(tooth_and_claw_buff 135286)
# Autoattacks have a s1 chance to empower your next Maul, stacking up to 135286u times.rnrnEmpowered Maul deals 135286s1 increased damage and reduces the target's damage to you by 135601s2 for 6 seconds.
  SpellInfo(tooth_and_claw_buff duration=15 max_stacks=2 gcd=0 offgcd=1)
Define(typhoon 132469)
# Blasts targets within 61391a1 yards in front of you with a violent Typhoon, knocking them back and dazing them for 6 seconds. Usable in all shapeshift forms.
  SpellInfo(typhoon cd=30)
  # Dazed.
  SpellAddTargetDebuff(typhoon typhoon_debuff add=1)
Define(typhoon_debuff 61391)
# Summon a violent Typhoon that strikes targets in front of the caster within 61391a1 yards, knocking them back and dazing them for 6 seconds.
  SpellInfo(typhoon_debuff duration=6 gcd=0 offgcd=1)
Define(ultimate_form_buff 323524)
# While channeling Fleshcraft, you are immune to crowd control and you regenerate 323524s17 health every 323524t17 sec. rnrnIf you finish the full channel, you gain 3 seconds of crowd control immunity, during which you regenerate 323524s17 health every 323524t17 sec.
  SpellInfo(ultimate_form_buff duration=3 gcd=0 offgcd=1 tick=1)
Define(war_stomp 20549)
# Stuns up to i enemies within A1 yds for 2 seconds.
  SpellInfo(war_stomp cd=90 duration=2 gcd=0 offgcd=1)
  # Stunned.
  SpellAddTargetDebuff(war_stomp war_stomp add=1)
Define(warrior_of_elune 202425)
# Your next n Starfires are instant cast and generate s2 increased Astral Power.
  SpellInfo(warrior_of_elune cd=45 gcd=0 offgcd=1)
  SpellRequire(warrior_of_elune unusable set=1 enabled=(not hastalent(warrior_of_elune_talent)))
  # Starfire is instant cast and generates s2 increased Astral Power.
  SpellAddBuff(warrior_of_elune warrior_of_elune add=1)
Define(wild_charge_bear 16979)
# Charge to an enemy, immobilizing them for 4 seconds.
  SpellInfo(wild_charge_bear cd=15 gcd=0 offgcd=1)
  # Immobilized.
  SpellAddBuff(wild_charge_bear wild_charge_bear add=1)
  # Immobilized.
  SpellAddTargetDebuff(wild_charge_bear immobilized_debuff add=1)
Define(wild_charge_cat 49376)
# Leap behind an enemy, dazing them for 3 seconds.
  SpellInfo(wild_charge_cat cd=15 gcd=0 offgcd=1)
  # Dazed.
  SpellAddBuff(wild_charge_cat wild_charge_cat add=1)
  # Dazed.
  SpellAddTargetDebuff(wild_charge_cat dazed_druid_debuff add=1)
Define(wrath 5176)
# Hurl a ball of energy at the target, dealing (57.75 of Spell Power) Nature damage.
  SpellInfo(wrath)
  SpellRequire(wrath replaced_by set=wrath_balance enabled=(specialization("balance")))
Define(wrath_balance 190984)
# Hurl a ball of energy at the target, dealing (60 of Spell Power) Nature damage.?a197911[rnrn|cFFFFFFFFGenerates m2/10 Astral Power.|r][]
  SpellInfo(wrath_balance lunarpower=0)
SpellList(adaptive_swarm adaptive_swarm_damage adaptive_swarm_heal)
SpellList(ca_inc_buff celestial_alignment incarnation_chosen_of_elune)
SpellList(bs_inc_buff incarnation_king_of_the_jungle incarnation_guardian_of_ursoc berserk_bear berserk_cat)
Define(balance_affinity_talent 22163)
# You gain:rnrn@spellicon197524 @spellname197524rnIncreases the range of all of your abilities by s1 yards.rnrnYou also learn:rnrn@spellicon197625 @spellname197625rn@spellicon197626 @spellname197626rn@spellicon197628 @spellname197628rn@spellicon197630 @spellname197630rn@spellicon132469@spellname132469
Define(bloodtalons_talent 21649)
# When you use s2 different combo point-generating abilities within s1 sec, the damage of your next 145152n Rips or Ferocious Bites is increased by 145152s1.
Define(brambles_talent 22419)
# Sharp brambles protect you, absorbing and reflecting up to <shield> damage from each attack.rnrnWhile Barkskin is active, the brambles also deal 213709s1 Nature damage to all nearby enemies every 22812t3 sec.
Define(brutal_slash_talent 21711)
# Strikes up to s3 nearby enemies with a massive slash, inflicting s2 Physical damage.rnrn|cFFFFFFFFAwards s1 combo lpoint:points;.|r
Define(feral_affinity_talent_guardian 22156)
# You gain:rnrn@spellicon131768 @spellname131768rnIncreases your movement speed by (25 of Spell Power).rnrnYou also learn:rnrn@spellicon1822 @spellname1822rn@spellicon1079 @spellname1079rn@spellicon22570 @spellname22570rnrnYour energy regeneration is increased by s2.
Define(feral_frenzy_talent 21653)
# Unleash a furious frenzy, clawing your target m2 times for 274838s1*m2 Physical damage and an additional m2*274838s3*6 seconds/274838t3 Bleed damage over 6 seconds.rnrn|cFFFFFFFFAwards s1 combo points.|r
Define(force_of_nature_talent 22387)
# Summons a stand of s1 Treants for 10 seconds which immediately taunt and attack enemies in the targeted area.rnrn|cFFFFFFFFGenerates m5/10 Astral Power.|r
Define(fury_of_elune_talent 21193)
# Calls down a beam of pure celestial energy that follows the enemy, dealing up to <dmg> Astral damage over 8 seconds within its area. Damage reduced on secondary targets.rnrn|cFFFFFFFFGenerates m3/10/t3*8 seconds Astral Power over its duration.|r
Define(heart_of_the_wild_talent 18577)
# Abilities associated with your chosen Affinity are substantially empowered for 45 seconds.?s197492[rnrn|cFFFFFFFFRestoration:|r Healing of your Restoration spells increased by 108294s1, and mana costs reduced by 108294s3.]?s197490|s202155|s202157[rnrn|cFFFFFFFFFeral:|r Damage of your Feral abilities increased by 108292s1, and critical strikes with attacks that generate a combo point generate an additional combo point.]?s197632|s197488[rnrn|cFFFFFFFFBalance:|r Damage of your Balance abilities increased by 108291s1, and Starsurge is instant.]?s217615|s197491[rnrn|cFFFFFFFFGuardian:|r Bear Form gives an additional 108293s1 Stamina, multiple uses of Ironfur may overlap, and Frenzied Regeneration has 108293s3+1 charges.][]rn
Define(incarnation_chosen_of_elune_talent 21702)
# An improved Moonkin Form that grants the benefits of Celestial Alignment, and s2 critical strike chance.rnrnLasts 30 seconds. You may shapeshift in and out of this improved Moonkin Form for its duration.
Define(incarnation_guardian_of_ursoc_talent 22388)
# An improved Bear Form that grants the benefits of Berserk, causes Mangle to hit up to (25 of Spell Power) targets, and increases maximum health by s5.?a339062[rnrnGrants immunity to effects that cause loss of control of your character.][]rnrnLasts 30 seconds. You may freely shapeshift in and out of this improved Bear Form for its duration.
Define(incarnation_king_of_the_jungle_talent 21704)
# An improved Cat Form that grants the benefits of Berserk, reduces the Energy cost of all Cat Form abilities by (25 of Spell Power), and allows the use of Prowl once while in combat.rnrnLasts 30 seconds. You may shapeshift in and out of this improved Cat Form for its duration.
Define(lunar_inspiration_talent 22365)
# Moonfire is usable in Cat Form, costs 155625c energy, and generates 155625s3 combo lpoint:points;.
Define(mighty_bash_talent 21778)
# Invokes the spirit of Ursoc to stun the target for 4 seconds. Usable in all shapeshift forms.
Define(natures_balance_talent 22385)
# While in combat you generate m3 Astral Power every m4 sec.rnrnWhile out of combat your Astral Power rebalances to 50 instead of depleting to empty.
Define(new_moon_talent 21655)
# Deals m1 Astral damage to the target and empowers New Moon to become Half Moon. rnrn|cFFFFFFFFGenerates m3/10 Astral Power.|r
Define(predator_talent 22363)
# The cooldown on Tiger's Fury resets when a target dies with one of your Bleed effects active, and Tiger's Fury lasts s1/1000 additional seconds.
Define(primal_wrath_talent 22370)
# Finishing move that deals instant damage and applies Rip to all enemies within A1 yards. Lasts longer per combo point.rnrn   1 point  : s1*2 plus Rip for s2*2 secrn   2 points: s1*3 plus Rip for s2*3 secrn   3 points: s1*4 plus Rip for s2*4 secrn   4 points: s1*5 plus Rip for s2*5 secrn   5 points: s1*6 plus Rip for s2*6 sec
Define(pulverize_talent 22425)
# A devastating blow that consumes s3 stacks of your Thrash on the target to deal s1 Physical damage and reduce the damage they deal to you by s2 for 10 seconds.
Define(restoration_affinity_talent 22159)
# You gain:rnrn@spellicon145108 @spellname145108rnHeals you for s1 of your maximum health every t1 sec. If you are at full health, an injured party or raid member will be healed instead.rnrnYou also learn:rnrn@spellicon774 @spellname774rn@spellicon18562 @spellname18562rn@spellicon48438 @spellname48438rn@spellicon102793@spellname102793
Define(sabertooth_talent 22364)
# Ferocious Bite deals s1 increased damage and increases the duration of Rip on your target by s2 sec per combo point spent.
Define(savage_roar_talent 18579)
# Finishing move that increases damage by 62071s1 and energy regeneration rate by (25 of Spell Power) while in Cat Form. Lasts longer per combo point:rnrn   1 point  : 12 secondsrn   2 points: 18 secondsrn   3 points: 24 secondsrn   4 points: 30 secondsrn   5 points: 36 seconds
Define(solstice_talent 21648)
# During the first 6 seconds of every Eclipse, Shooting Stars fall 343648s1 more often.
Define(soul_of_the_forest_talent_guardian 21709)
# Mangle generates m1/10 more Rage and deals s2 more damage.
Define(soul_of_the_forest_talent_feral 21708)
# Your finishing moves grant s1 Energy per combo point spent and deal s2 increased damage.
Define(soul_of_the_forest_talent 18580)
# Eclipse increases Wrath's Astral power generation s1, and increases Starfire's area effect damage by s2.
Define(starlord_talent 21706)
# Starsurge and Starfall grant you 279709s1 Haste for 15 seconds.rnrnStacks up to 279709u times. Gaining a stack does not refresh the duration.
Define(stellar_drift_talent 21712)
# Starfall deals s2 additional damage and allows you to cast while moving while it is active, but now has a s1/1000 sec cooldown.
Define(stellar_flare_talent 22165)
# Burns the target for (12.5 of Spell Power) Astral damage, and then an additional o2 damage over 24 seconds.rnrn|cFFFFFFFFGenerates m3/10 Astral Power.|r
Define(twin_moons_talent 22389)
# Moonfire deals s2 increased damage and also hits another nearby enemy within s1 yds of the target.
Define(warrior_of_elune_talent 22386)
# Your next n Starfires are instant cast and generate s2 increased Astral Power.
Define(empyreal_ordnance_item 180117)
    ItemInfo(empyreal_ordnance_item cd=180 proc=345543)
Define(inscrutable_quantum_device_item 179350)
    ItemInfo(inscrutable_quantum_device_item cd=180 proc=348098)
Define(instructors_divine_bell_item 184842)
    ItemInfo(instructors_divine_bell_item proc=348139 cd=90)
Define(potion_of_spectral_intellect_item 171273)
    ItemInfo(potion_of_spectral_intellect_item cd=1 shared_cd="item_cd_4" proc=307162)
Define(shadowed_orb_of_torment_item 186428)
    ItemInfo(shadowed_orb_of_torment_item cd=120 proc=356334)
Define(soulletting_ruby_item 178809)
    ItemInfo(soulletting_ruby_item cd=120 proc=345807)
Define(jotungeirr_destinys_call_item 186404)
    ItemInfo(jotungeirr_destinys_call_item cd=180 proc=359003)
Define(potion_of_spectral_agility_item 171270)
    ItemInfo(potion_of_spectral_agility_item cd=1 shared_cd="item_cd_4" proc=307159)
Define(potion_of_phantom_fire_item 171349)
    ItemInfo(potion_of_phantom_fire_item cd=300 shared_cd="item_cd_4" rppm=12 proc=307495)
Define(balance_of_all_things_runeforge 7107)
Define(celestial_spirits_runeforge 7571)
Define(lycaras_fleeting_glimpse_runeforge 7110)
Define(primordial_arcanic_pulsar_runeforge 7088)
Define(sinful_hysteria_runeforge 7474)
Define(timeworn_dreambinder_runeforge 7108)
Define(cateye_curio_runeforge 7089)
Define(draught_of_deep_focus_runeforge 7086)
Define(luffainfused_embrace_runeforge 7092)
Define(oath_of_the_elder_druid_runeforge 7084)
Define(precise_alignment_conduit 262)
Define(deep_allegiance_conduit 277)
Define(taste_for_blood_conduit 265)
Define(thrill_seeker_soulbind 331586)
Define(pustule_eruption_soulbind 351094)
Define(volatile_solvent_soulbind 323074)
Define(first_strike_soulbind 325069)
    ]]
    code = code .. [[
Define(ravenous_frenzy_sinful_hysteria_buff 355315)
    SpellInfo(ravenous_frenzy_sinful_hysteria_buff duration=5)

    SpellRequire(berserk_0 replaced_by set=incarnation_guardian_of_ursoc enabled=(talent(incarnation_guardian_of_ursoc_talent)))
#bloodtalons
    SpellAddBuff(ferocious_bite bloodtalons add=-1 enabled=(specialization(feral) and hastalent(bloodtalons_talent)))
    SpellAddBuff(rip bloodtalons add=-1 enabled=(specialization(feral) and hastalent(bloodtalons_talent)))
Define(frenzied_regeneration 22842)
    SpellInfo(frenzied_regeneration duration=3)
    # TODO max_charges not implemented SpellRequire(frenzied_regeneration max_charges set=2 enabled=(specialization(guardian)))
    SpellRequire(frenzied_regeneration charge_cd set=30 enabled=(specialization(guardian)))
    SpellRequire(frenzied_regeneration cd set=30 enabled=(not specialization(guardian)))
    SpellAddBuff(frenzied_regeneration frenzied_regeneration add=1)
#moonfire_cat
    SpellRequire(moonfire_cat unusable set=1 enabled=(not hastalent(lunar_inspiration_talent)))
#prowl
    SpellRequire(prowl unusable set=1 enabled=(incombat() or buffpresent(prowl)))
#rip
    SpellInfo(rip add_duration_combopoints=4 half_duration=primal_wrath)
Define(thrash_bear 77758)
    SpellAddBuff(thrash_bear earthwarden_buff add=1 enabled=(talent(earthwarden_talent)))
    SpellAddTargetDebuff(thrash_bear thrash_bear_debuff add=1)
Define(thrash_bear_debuff 192090)
    SpellInfo(thrash_bear_debuff duration=15 max_stacks=3)
    SpellRequire(pulverize unusable set=1 enabled=(target.debuffstacks(thrash_bear_debuff) < 2))
    SpellAddTargetDebuff(pulverize thrash_bear_debuff add=-2)

#snapshots
    SpellDamageBuff(moonfire_cat tigers_fury set=1.15)
    SpellDamageBuff(rake berserk_cat set=1.6)
    SpellDamageBuff(rake incarnation_king_of_the_jungle set=1.6)
    SpellDamageBuff(rake shadowmeld set=1.6)
    SpellDamageBuff(rake prowl set=1.6)
    SpellDamageBuff(rake tigers_fury set=1.15)
    SpellDamageBuff(rip bloodtalons set=1.3 enabled=(specialization(feral) and hastalent(bloodtalons_talent)))
    SpellDamageBuff(rip tigers_fury set=1.15)
    SpellDamageBuff(thrash_cat tigers_fury set=1.15)
  
#balance_affinity_talent
Define(balance_affinity_talent_restoration 22366)
    SpellRequire(moonkin_form unusable set=1 enabled=(not (specialization(balance) or hastalent(balance_affinity_talent) or hastalent(balance_affinity_talent_restoration))))
    SpellRequire(starfire unusable set=1 enabled=(not (specialization(balance) or hastalent(balance_affinity_talent) or hastalent(balance_affinity_talent_restoration))))
    SpellRequire(starsurge unusable set=1 enabled=(not (specialization(balance) or hastalent(balance_affinity_talent) or hastalent(balance_affinity_talent_restoration))))
    SpellRequire(sunfire unusable set=1 enabled=(not (specialization(balance) or specialization(restoration) or hastalent(balance_affinity_talent))))
    SpellRequire(typhoon unusable set=1 enabled=(not (specialization(balance) or hastalent(balance_affinity_talent) or hastalent(balance_affinity_talent_restoration))))

Define(feral_affinity_talent_balance 22155)
#feral_affinity_talent_guardian
Define(feral_affinity_talent_restoration 22367)
    SpellRequire(maim unusable set=1 enabled=(not ((specialization(feral) or hastalent(feral_affinity_talent_balance) or hastalent(feral_affinity_talent_guardian) or hastalent(feral_affinity_talent_restoration)) and stance(druid_cat_form))))
    SpellRequire(rake unusable set=1 enabled=(not ((specialization(feral) or hastalent(feral_affinity_talent_balance) or hastalent(feral_affinity_talent_guardian) or hastalent(feral_affinity_talent_restoration)) and stance(druid_cat_form))))
    SpellRequire(rip unusable set=1 enabled=(not ((specialization(feral) or hastalent(feral_affinity_talent_balance) or hastalent(feral_affinity_talent_guardian) or hastalent(feral_affinity_talent_restoration)) and stance(druid_cat_form))))
    SpellRequire(swipe_cat unusable set=1 enabled=(not ((specialization(feral) or hastalent(feral_affinity_talent_balance) or hastalent(feral_affinity_talent_guardian) or hastalent(feral_affinity_talent_restoration)) and stance(druid_cat_form))))

Define(guardian_affinity_talent_balance 22157)
Define(guardian_affinity_talent_feral 22158)
Define(guardian_affinity_talent_restoration 22160)
    SpellRequire(frenzied_regeneration unusable set=1 enabled=(not ((specialization(guardian) or hastalent(guardian_affinity_talent_balance) or hastalent(guardian_affinity_talent_feral) or hastalent(guardian_affinity_restoration)) and stance(druid_bear_form))))
    SpellRequire(incapacitating_roar unusable set=1 enabled=(not ((specialization(guardian) or hastalent(guardian_affinity_talent_balance) or hastalent(guardian_affinity_talent_feral) or hastalent(guardian_affinity_restoration)) and stance(druid_bear_form))))

Define(starsurge_empowerment_solar_buff -78674)
SpellInfo(starsurge_empowerment_solar_buff)
SpellRequire(starsurge_empowerment_solar_buff duration set=(buffexpires(eclipse_solar_buff)))
SpellAddbuff(starsurge starsurge_empowerment_solar_buff add=1 enabled=(buffpresent(eclipse_solar_buff)))
Define(starsurge_empowerment_lunar_buff -78675)
SpellInfo(starsurge_empowerment_lunar_buff)
SpellRequire(starsurge_empowerment_lunar_buff duration set=(buffexpires(eclipse_lunar_buff)))
SpellAddbuff(starsurge starsurge_empowerment_lunar_buff add=1 enabled=(buffpresent(eclipse_lunar_buff)))
    ]]
    scripts:registerScript("DRUID", nil, name, desc, code, "include")
end
